Skip to main content
GET
/
action-configurations
/
{action_code}
Get Action Configuration
curl --request GET \
  --url https://api.authsignal.com/v1/management/action-configurations/{action_code} \
  --header 'Authorization: Basic <encoded-value>'
{
  "lastActionCreatedAt": "<string>",
  "actionCode": "<string>",
  "tenantId": "<string>",
  "defaultUserActionResult": "ALLOW",
  "messagingTemplates": {},
  "verificationMethods": [
    "SMS"
  ],
  "promptToEnrollVerificationMethods": [
    "PASSKEY"
  ],
  "defaultVerificationMethod": "SMS",
  "verificationWebhookUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Authsignal Management API secret key as the username and leave the password empty. This key is different from the Server API key and can be found in the API Keys section of the Authsignal Portal settings page.

Path Parameters

action_code
string
required

The action code used to identify the action configuration.

Response

OK

lastActionCreatedAt
string
actionCode
string
tenantId
string
defaultUserActionResult
enum<string>
Available options:
ALLOW,
BLOCK,
CHALLENGE,
REVIEW
messagingTemplates
object
verificationMethods
enum<string>[]
Minimum array length: 1
Available options:
SMS,
AUTHENTICATOR_APP,
RECOVERY_CODE,
EMAIL_MAGIC_LINK,
EMAIL_OTP,
PUSH,
DEVICE,
SECURITY_KEY,
PASSKEY,
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR
promptToEnrollVerificationMethods
enum<string>[]
Minimum array length: 1
Available options:
PASSKEY
defaultVerificationMethod
enum<string>
Available options:
SMS,
AUTHENTICATOR_APP,
RECOVERY_CODE,
EMAIL_MAGIC_LINK,
EMAIL_OTP,
PUSH,
DEVICE,
SECURITY_KEY,
PASSKEY,
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR
verificationWebhookUrl
string<uri>

Webhook URL to receive a synchronous action.verify event after the challenge is verified. The webhook can be used to trigger additional tasks. See the action.verify event schema.